QGIS Application - Feature request #8249
Warning before running analyses on too large rasters
2013-07-10 06:35 AM - Paolo Cavallini

Status: Feedback

Priority: Normal

Assignee:

Category: Processing/Core

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 17058
Description

If the user does not select an appropriate resolution for the resulting raster(s), it risks to get stuck with an excessive resolution, and too
long processing time. | suggest to do a simple calculation of the resulting number of pixel before running analyses, and warn the user if
this is too high.

Related issues:
Related to QGIS Application - Feature request # 7369: Size limit when using p... Open 2013-03-16

History

#1 - 2014-10-04 12:08 PM - Giovanni Manghi
- Project changed from 78 to QGIS Application
- Category deleted (63)

#2 - 2014-10-04 12:09 PM - Giovanni Manghi

- Category set to Processing/Core

#3 - 2017-05-01 12:48 AM - Giovanni Manghi
- Easy fix? set to No

#4 - 2018-02-24 01:41 PM - Paolo Cavallini
- Assignee deleted (Victor Olaya)

#5 - 2019-02-13 09:42 PM - Nyall Dawson
- Status changed from Open to Feedback

I think this request could be satisfied by instead allowing cancellation of gdal algorithms. The native QGIS algorithms all have nice progress reports and
support responsive cancellation already.

#6 - 2019-02-13 09:54 PM - Paolo Cavallini

Agreed, thanks.
